<template>
	<view style="display: flex;flex-direction: column;">
		<!-- #ifdef APP -->
		<text class="iconfont icon-youjiantou zuojiantou" @click="goBack()" style="top: 10rpx;"></text>
		<!-- #endif -->
		
		<view class="">
			<menu-list :menuList="minorMenuLists" @tipMessage="tipMessage()"></menu-list>
		</view>
		
	
	</view>
</template>

<script>
	import  MenuList from "@/components/menuList/menuList.vue"
	import { initJssdkShare, setWechatShare } from '@/util/fiveshare';
	export default {
		components:{
			MenuList
		},
		data() {
			return {
				userInfo:{},
				minorMenuLists: [
					{
						key:'1',
						title: '手机号绑定',
						icon: '',
						link: '',
						contentType: uni.getStorageSync('user_mobile'),
						isOpen: true,
						isShow: true,
						isTips: false,
						isType: 'text',
						isJump: true
					},
					{
						key:'2',
						title: '合伙人解约',
						icon: '',
						link: '/myPackageA/setting/logOff',
						isOpen: true,
						isShow: true,
						isTips: false,
						isType: 'radio',
						isJump:false,
					}
				]
			}
		},
		onShow() {
			this.userInfo = JSON.parse(uni.getStorageSync('cffp_userInfo'))
			if(this.userInfo.partnerIsActive&&this.userInfo.partnerIsActive==2){
				this.minorMenuLists.forEach(item=>{
					if(item.key=='2'){
						item.isJump = true
					}
				})
			}
			// #ifdef H5
			initJssdkShare(() => {
			  setWechatShare();
			}, window.location.href);
			// #endif
		},
		methods:{
			goBack() {
				uni.navigateBack({
					delta: 1  
				});
			},
			
		}
	}
</script>

<style lang="scss" scoped>

</style>
